#ifndef SCREEN_H
#define SCREEN_H

#define SCREEN_WIDTH  480
#define SCREEN_HEIGHT 272

extern pixel* g_pFrontBuffer;
extern pixel* g_pBackBuffer;

void Screen_Init();
void Screen_Clear( pixel aiColor );
void Screen_WaitV();
void Screen_Swap();
void Screen_FillRect( int a_iX, int a_iY, int a_iWidth, int a_iHeight, pixel a_iColor );
void Screen_GetBackBuffer();
pixel* Screen_GetPoint( int x, int y );

#endif
