#ifndef COLORS_H
#define COLORS_H

//const pixel rgb2col(unsigned char r,unsigned char g,unsigned char b){return ((((b>>3) & 0x1F)<<10)+(((g>>3) & 0x1F)<<5)+(((r>>3) & 0x1F)<<0)+0x8000);}
#define rgb2col( r, g, b) \
    ((((b>>3) & 0x1F)<<10)+(((g>>3) & 0x1F)<<5)+(((r>>3) & 0x1F)<<0)+0x8000)

#define COLOR_ALICEBLUE rgb2col(240,248,255)
#define COLOR_ANTIQUEWHITE rgb2col(250,235,215)
#define COLOR_AQUA rgb2col(0,255,255)
#define COLOR_AQUAMARINE rgb2col(127,255,212)
#define COLOR_AZURE rgb2col(240,255,255)
#define COLOR_BEIGE rgb2col(245,245,220)
#define COLOR_BISQUE rgb2col(255,228,196)
#define COLOR_BLACK rgb2col(0,0,0)
#define COLOR_BLANCHEDALMOND rgb2col(255,235,205)
#define COLOR_BLUE rgb2col(0,0,255)
#define COLOR_BLUEVIOLET rgb2col(138,43,226)
#define COLOR_BROWN rgb2col(165,42,42)
#define COLOR_BURLYWOOD rgb2col(222,184,135)
#define COLOR_CADETBLUE rgb2col(95,158,160)
#define COLOR_CHARTEUSE rgb2col(127,255,0)
#define COLOR_CHOCOLATE rgb2col(210,105,30)
#define COLOR_CORAL rgb2col(255,127,80)
#define COLOR_CORNFLOWERBLUE rgb2col(100,149,237)
#define COLOR_CORNSILK rgb2col(255,248,220)
#define COLOR_CRIMSON	rgb2col(220,20,60)
#define COLOR_CYAN rgb2col(0,255,255)
#define COLOR_DARKBLUE rgb2col(0,0,139)
#define COLOR_DARKCYAN rgb2col(0,139,139)
#define COLOR_DARKGOLDENROD rgb2col(184,134,11)
#define COLOR_DARKGRAY rgb2col(169,169,169)
#define COLOR_DARKGREEN rgb2col(0,100,0)
#define COLOR_DARKKHAKI rgb2col(189,183,107)
#define COLOR_DARKMAGENTA rgb2col(139,0,139)
#define COLOR_DARKOLIVEGREEN rgb2col(85,107,47)
#define COLOR_DARKORANGE rgb2col(255,140,0)
#define COLOR_DARKORCHID rgb2col(153,50,204)
#define COLOR_DARKRED	rgb2col(139,0,0)
#define COLOR_DARKSALMON rgb2col(233,150,122)
#define COLOR_DARKSEAGREEN rgb2col(143,188,143)
#define COLOR_DARKSLATEBLUE rgb2col(72,61,139)
#define COLOR_DARKSLATEGRAY rgb2col(47,79,79)
#define COLOR_DARKTURQUOISE rgb2col(0,206,209)
#define COLOR_DARKVIOLET rgb2col(148,0,211)
#define COLOR_DEEPPINK rgb2col(255,20,147)
#define COLOR_DEEPSKYBLUE rgb2col(0,191,255)
#define COLOR_DIMGRAY rgb2col(105,105,105)
#define COLOR_DODGERBLUE rgb2col(30,144,255)
#define COLOR_FIREBRICK rgb2col(178,34,34)
#define COLOR_FLORALWHITE rgb2col(255,250,240)
#define COLOR_FORESTGREEN rgb2col(34,139,34)
#define COLOR_FUCHSIA rgb2col(255,0,255)
#define COLOR_GAINSBORO rgb2col(220,220,220)
#define COLOR_GHOSTWHITE rgb2col(248,248,255)
#define COLOR_GOLD rgb2col(255,215,0)
#define COLOR_GOLDENROD rgb2col(218,165,32)
#define COLOR_GRAY rgb2col(128,128,128)
#define COLOR_GREEN rgb2col(0,128,0)
#define COLOR_GREENYELLOW rgb2col(173,255,47)
#define COLOR_HONEYDEW rgb2col(240,255,240)
#define COLOR_HOTPINK rgb2col(255,105,180)
#define COLOR_INDIANRED rgb2col(205,92,92)
#define COLOR_INDIGO rgb2col(75,0,130)
#define COLOR_IVORY rgb2col(255,255,240)
#define COLOR_KHAKI rgb2col(240,230,140)
#define COLOR_LAVENDER rgb2col(230,230,250)
#define COLOR_LAVENDERBLUSH rgb2col(255,240,245)
#define COLOR_LAWNGREEN rgb2col(124,252,0)
#define COLOR_LEMONCHIFFON rgb2col(255,250,205)
#define COLOR_LIGHTBLUE rgb2col(173,216,230)
#define COLOR_LIGHTCORAL rgb2col(240,128,128)
#define COLOR_LIGHTCYAN rgb2col(224,255,255)
#define COLOR_LIGHTGOLDENRODYELLOW rgb2col(250,250,210)
#define COLOR_LIGHTGREEN rgb2col(144,238,144)
#define COLOR_LIGHTGREY rgb2col(211,211,211)
#define COLOR_LIGHTPINK rgb2col(255,182,193)
#define COLOR_LIGHTSALMON rgb2col(255,160,122)
#define COLOR_LIGHTSEAGREEN rgb2col(32,178,170)
#define COLOR_LIGHTSKYBLUE rgb2col(135,205,250)
#define COLOR_LIGHTSLATEGRAY rgb2col(119,136,153)
#define COLOR_LIGHTSTEELBLUE rgb2col(176,196,222)
#define COLOR_LIGHTYELLOW rgb2col(255,255,224)
#define COLOR_LIME rgb2col(0,255,0)
#define COLOR_LIMEGREEN rgb2col(50,205,50)
#define COLOR_LINEN rgb2col(135,240,230)
#define COLOR_MAGENTA rgb2col(255,0,255)
#define COLOR_MAROON rgb2col(128,0,0)
#define COLOR_MEDIUMAQUAMARINE rgb2col(102,205,170)
#define COLOR_MEDIUMBLUE rgb2col(0,0,205)
#define COLOR_MEDIUMORCHID rgb2col(186,85,211)
#define COLOR_MEDIUMPURPLE rgb2col(147,112,219)
#define COLOR_MEDIUMSEAGREEN rgb2col(60,179,113)
#define COLOR_MEDIUMSLATEBLUE rgb2col(123,104,238)
#define COLOR_MEDIUMSPRINGGREEN rgb2col(0,135,154)
#define COLOR_MEDIUMTURQUOISE rgb2col(72,209,204)
#define COLOR_MEDIUMVIOLETRED rgb2col(199,21,133)
#define COLOR_MIDNIGHTBLUE rgb2col(25,25,112)
#define COLOR_MINTCREAM rgb2col(245,255,135)
#define COLOR_MISTYROSE rgb2col(255,228,225)
#define COLOR_NAVAJOWHITE rgb2col(255,222,173)
#define COLOR_NAVY rgb2col(0,0,128)
#define COLOR_OLDLACE rgb2col(153,245,246)
#define COLOR_OLIVE rgb2col(128,128,0)
#define COLOR_OLIVEDRAB rgb2col(107,142,35)
#define COLOR_ORANGE rgb2col(255,165,0)
#define COLOR_ORANGERED rgb2col(255,69,0)
#define COLOR_ORCHID rgb2col(218,112,214)
#define COLOR_PALEGOLDENROD rgb2col(238,232,170)
#define COLOR_PALEGREEN rgb2col(152,251,152)
#define COLOR_PALETURQUOISE rgb2col(175,138,138)
#define COLOR_PALEVIOLETRED rgb2col(219,112,147)
#define COLOR_PAPAAWHIP rgb2col(255,239,213)
#define COLOR_PEACHPUFF rgb2col(255,218,185)
#define COLOR_PERU rgb2col(205,133,63)
#define COLOR_PINK rgb2col(255,192,203)
#define COLOR_PLUM rgb2col(221,160,221)
#define COLOR_POWDERBLUE rgb2col(176,224,230)
#define COLOR_PURPLE rgb2col(128,0,128)
#define COLOR_RED rgb2col(255,0,0)
#define COLOR_ROSYBROWN rgb2col(188,143,143)
#define COLOR_ROYALBLUE rgb2col(65,105,225)
#define COLOR_SADDLEBROWN rgb2col(139,69,19)
#define COLOR_SALMON rgb2col(135,128,114)
#define COLOR_SANDYBROWN rgb2col(244,164,96)
#define COLOR_SEAGREEN rgb2col(46,139,87)
#define COLOR_SEASHELL rgb2col(255,245,238)
#define COLOR_SIENNA rgb2col(160,82,45)
#define COLOR_SILVER rgb2col(192,192,192)
#define COLOR_SKYBLUE rgb2col(135,206,235)
#define COLOR_SLATEBLUE rgb2col(106,90,205)
#define COLOR_SNOW rgb2col(255,250,250)
#define COLOR_SPRINGGREEN rgb2col(0,255,127)
#define COLOR_STEELBLUE rgb2col(70,130,180)
#define COLOR_TAN rgb2col(210,180,140)
#define COLOR_TEAL rgb2col(0,128,128)
#define COLOR_THISTLE rgb2col(216,191,216)
#define COLOR_TOMATO rgb2col(255,99,71)
#define COLOR_TURQUOISE rgb2col(64,224,208)
#define COLOR_VIOLET rgb2col(238,130,238)
#define COLOR_WHEAT rgb2col(245,222,179)
#define COLOR_WHITE rgb2col(255,255,255)
#define COLOR_WHITESMOKE rgb2col(245,245,245)
#define COLOR_YELLOW rgb2col(255,255,0)
#define COLOR_YELLOWGREEN rgb2col(154,205,50)

#endif
