#ifndef PIECE_H
#define PIECE_H

typedef struct {
    u8 aMap[4][4];

    pixel iColor;

    fixed fScreenX;
    fixed fScreenY;

    fixed fTargetScreenX;
    fixed fTargetScreenY;
} Piece;

// Randomly creates a piece
void PieceCreate( Piece* a_pThis );

void PieceUpdate( Piece* a_pThis );
void PieceRender( Piece* a_pThis );

void PieceRotateClockwise( Piece* a_pThis );
void PieceRotateCounterClockwise( Piece* a_pThis );

#endif
