#include "stdinc.h"

#include "controller.h"

#define REPEAT_TIME 0x40000

u32 g_iKeysPressed;
u32 g_iKeysDown;
u32 g_iKeysReleased;

void Controller_Init()
{
    g_iKeysDown = g_iKeysPressed = g_iKeysReleased = 0;
    sceCtrlInit(0);
}

u32 Controller_Update() {

	sceCtrlRead(&g_oControllerData,1);

    g_iKeysPressed = g_oControllerData.buttons & (~g_iKeysDown);
    g_iKeysReleased = (~g_oControllerData.buttons) & (g_iKeysDown); 
    g_iKeysDown = g_oControllerData.buttons;

    return g_iKeysDown;
}

ControllerData g_oControllerData;