#include "stdinc.h"

#include "memory.h"

void MEMSET( void* a_pDest, int a_iColor, u32 a_iSize )
{
    u8* pDest = (u8*)a_pDest;

    while( a_iSize-- )
    {
        *pDest++ = a_iColor;
    }
}

void MEMCPY( void* a_pDest, const void* a_pSrc, u32 a_iSize )
{
    u8* pDest = (u8*)a_pDest;
    u8* pSrc = (const u8*)a_pSrc;

    while( a_iSize-- )
    {
        *pDest++ = *pSrc++;
    }
}
