#include "stdinc.h"

#include "random.h"

i32 gRandomSeed = 1;

// from marcel's simple chess program
i32 RandInt(void)
{
    i32 r = gRandomSeed;

    r = 16807 * (r % 127773L) - 2836 * (r / 127773L);
    if (r < 0) r += 0x7fffffffL;

    return gRandomSeed = r;
}

void RandSetSeed( i32 a_iSeed )
{
    gRandomSeed = a_iSeed;
}

i32 RandGetSeed()
{
    return gRandomSeed;
}
